[Command]
name = "HV"
command = ~D, DF, F,x+y
time = 40

[Command]
name = "HSF"
command = ~D, DF, F,a+b
time = 30

[Command]
name = "Fly"
command = ~D, B, a+b

[Command]
name = "TripleKFPalm"
command = ~D, DF, F, D, DF, F, x
time = 20

[Command]
name = "TripleKFPalm"   ;Same name as above
command = ~D, DF, F, D, DF, F, y
time = 20

[Command]
name = "SmashKFUpper"
command = ~D, DB, B, D, DB, B, x;~F, D, DF, F, D, DF, x
time = 20

[Command]
name = "SmashKFUpper"   ;Same name as above
command = ~D, DB, B, D, DB, B, y;~F, D, DF, F, D, DF, y
time = 20

;-| Special Motions |------------------------------------------------------
[Command]
name = "upper_x"
command = ~F, D, DF, x

[Command]
name = "upper_y"
command = ~F, D, DF, y

[Command]
name = "upper_xy"
command = ~F, D, DF, x+y

[Command]
name = "236z"
command = ~D, DF, F, z

[Command]
name = "236y"
command = ~D, DF, F, y

[Command]
name = "236x"
command = ~D, DF, F, x

[Command]
name = "236a"
command = ~D, DF, F, a

[Command]
name = "236b"
command = ~D, DF, F, b

[Command]
name = "QCF_x"
command = ~D, DF, F, x

[Command]
name = "QCF_y"
command = ~D, DF, F, y

[Command]
name = "QCF_xy"
command = ~D, DF, F, x+y

[Command]
name = "QCB_a"
command = ~D, DF, F, a

[Command]
name = "QCB_b"
command = ~D, DF, F, b

[Command]
name = "214a"
command = ~D, DB, B, a


[Command]
name = "214b"
command = ~D, DB, B, b

[Command]
name = "FF_ab"
command = F, F, a+b

[Command]
name = "FF_a"
command = F, F, a

[Command]
name = "FF_b"
command = F, F, b

;-| Double Tap |-----------------------------------------------------------

[Command]
name = "SuperJump"
command = D,~D, $U


[Command]
name = "UFRun"     
command = /UF, x+y
time = 2

[Command]
name = "UBRun"     
command = /UB, x+y
time = 2

[Command]
name = "DFRun"     
command = /DF, x+y
time = 2

[Command]
name = "DBRun"     
command = /DB, x+y
time = 2

[Command]
name = "FRun"     
command = /F, x+y
time = 2

[Command]
name = "BRun"     
command = /B, x+y
time = 2

[Command]
name = "URun"     
command = /U, x+y
time = 2

[Command]
name = "DRun"     
command = /D, x+y
time = 2


[Command]
name = "Run"
command = x+y
time = 10

[Command]
name = "FF"
command = /F,x+y
time = 10

[Command]
name = "BB"
command = /B,x+y
time = 10

[Command]
name = "FF"     
command = F, F
time = 10

[Command]
name = "BB"     
command = B, B
time = 10

[Command]
name = "FF"
command = x+y

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery";Required (do not remove)
command = x+y
time = 1

;-| Dir + Button |---------------------------------------------------------
[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = "~a"
command = ~a
time = 1

[Command]
name = "~b"
command = ~b
time = 1

[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1

[Command]
name = "holda";Required (do not remove)
command = /a
time = 1

[Command]
name = "holdb";Required (do not remove)
command = /b
time = 1


[Command]
name = "fwd"
command = F
time = 1

[Command]
name = "back"
command = B
time = 1

[Command]
name = "up"
command = U
time = 1

[Command]
name = "down"
command = D
time = 1

;---------------------------------------------------------------------------
; 2. State entry
; --------------
[Statedef -1]

[State -1,reset]
type = varset
trigger1 = time = 0
var(50) = 0

;===========================================================================
;---------------------------------------------------------------------------
[State OTG]
type = ChangeState
value = 3800
triggerall = command = "HV"
triggerall = power >= 1000
triggerall = statetype != A
trigger1 = ctrl
trigger2 = hitdefattr = SC, NA, SA, HA
trigger2 = stateno != [3050,3100)
trigger3 = stateno = 5400
trigger4 = stateno = 220 || stateno = 1200 || stateno = 1800

[State AHV]
type = ChangeState
value = 3810
triggerall = command = "HV"
triggerall = power >= 1000
triggerall = statetype = A
trigger1 = ctrl
trigger2 = hitdefattr = A, NA, SA, HA
trigger3 = stateno = 620|| stateno = 1200

[State HSF]
type = ChangeState
value = 3300
triggerall = command = "HSF"
triggerall = power >= 1000
triggerall = statetype != A
trigger1 = ctrl
trigger2 = (stateno = [200,450]) || stateno = 1200

[State -1]
type = varset
var(50) = 9000
trigger1 = command = "Fly"
trigger1 = var(40) = 0
ignorehitpause = 1

[State fly]
type = ChangeState
triggerall = var(50) = 9000
triggerall = var(5) = 0
triggerall = var(40) = 0
trigger1 = stateno = 50
trigger2 = (stateno = [200,650])
trigger3 = ctrl
value = 9000

[State fly]
type = ChangeState
triggerall = var(50) = 9000
triggerall = var(5) >= 0
triggerall = var(40) = 0
trigger1 = stateno = 50
trigger2 = (stateno = [200,650])
value = 9010



;X}bVEJt[EEbp[iQ[WxPj
[State -1, Smash Kung Fu Upper]
type = ChangeState
value = 3050
triggerall = command = "SmashKFUpper"
triggerall = power >= 1000
triggerall = statetype != A
trigger1 = ctrl
trigger2 = hitdefattr = SC, NA, SA, HA
trigger2 = stateno != [3050,3100)
trigger2 = movecontact

;---------------------------------------------------------------------------
;Triple Kung Fu Palm (uses one super bar)
;OJt[˂iQ[WxPj
[State -1, Triple Kung Fu Palm]
type = ChangeState
value = 3000
triggerall = command = "TripleKFPalm"
triggerall = power >= 1000
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = statetype != A
trigger2 = hitdefattr = SC, NA, SA, HA
trigger2 = stateno != [3000,3050)
trigger2 = movecontact

;===========================================================================
;---------------------------------------------------------------------------
;Fast Kung Fu Knee (1/3 super bar)
;Jt[RiQ[WxP^Rj
[State -1, Fast Kung Fu Knee]
type = ChangeState
value = 1070
triggerall = command = "FF_ab"
triggerall = power >= 330
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499])
trigger2 = stateno != 440 ;Except for sweep kick
trigger2 = movecontact

;---------------------------------------------------------------------------
;Light Kung Fu Knee
;Jt[Rij
[State -1, Light Kung Fu Knee]
type = ChangeState
value = 1050
triggerall = command = "FF_a"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499])
trigger2 = stateno != 440 ;Except for sweep kick
trigger2 = movecontact

;---------------------------------------------------------------------------
;Strong Kung Fu Knee
;Jt[Rij
[State -1, Strong Kung Fu Knee]
type = ChangeState
value = 1060
triggerall = command = "FF_b"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499])
trigger2 = stateno != 440 ;Except for sweep kick
trigger2 = movecontact

;---------------------------------------------------------------------------
[State elec]
type = ChangeState
value = 1400
triggerall = pos y >= 0
triggerall = command = "214a" || command="214b"
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499])

[State elec a]
type = ChangeState
value = 1401
triggerall = command = "214a" || command="214b"
triggerall = pos y < 0
trigger1 = ctrl
trigger2 = stateno = [600,699]


[State RP]
type = ChangeState
value = 1200
triggerall = command = "236z"
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499])|| (stateno = [600,699])

[State force]
type = ChangeState
value = 1300
triggerall = command = "236a"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499])

[State byper]
type = ChangeState
value = 1800
triggerall = statetype != a
triggerall = command = "236x" || command="236y"
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499])

[State byper a]
type = ChangeState
value = 1810
triggerall = command = "236x" || command="236y"
triggerall = statetype = a
trigger1 = ctrl
trigger2 = stateno = [600,699]

;Fast Kung Fu Palm (1/3 super bar)
;Jt[˂iQ[WxP^Rj
[State -1, Fast Kung Fu Palm]
type = ChangeState
value = 1020
triggerall = command = "QCF_xy"
triggerall = power >= 330
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499]) ;Cancel ground moves
;trigger2 = stateno != 440 ;Except for sweep kick
trigger2 = movecontact

;---------------------------------------------------------------------------
;Light Kung Fu Palm
;Jt[˂ij
[State -1, Light Kung Fu Palm]
type = ChangeState
value = 1000
triggerall = command = "QCF_x"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499])
trigger2 = stateno != 440 ;Except for sweep kick
trigger2 = movecontact

;---------------------------------------------------------------------------
;Strong Kung Fu Palm
;Jt[˂ij
[State -1, Strong Kung Fu Palm]
type = ChangeState
value = 1010
triggerall = command = "QCF_y"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499])
trigger2 = stateno != 440 ;Except for sweep kick
trigger2 = movecontact

;---------------------------------------------------------------------------
;Fast Kung Fu Upper (1/3 super bar)
;Jt[EEbp[
[State -1, Fast Kung Fu Upper]
type = ChangeState
value = 1120
triggerall = command = "upper_xy"
triggerall = power >= 330
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499])
trigger2 = stateno != 440 ;Except for sweep kick
trigger2 = movecontact

;---------------------------------------------------------------------------
;Light Kung Fu Upper
;Jt[EEbp[ij
[State -1, Light Kung Fu Upper]
type = ChangeState
value = 1100
triggerall = command = "upper_x"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499])
trigger2 = stateno != 440 ;Except for sweep kick
trigger2 = movecontact

;---------------------------------------------------------------------------
;Strong Kung Fu Upper
;Jt[EEbp[ij
[State -1, Strong Kung Fu Upper]
type = ChangeState
value = 1110
triggerall = command = "upper_y"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499])
trigger2 = stateno != 440 ;Except for sweep kick
trigger2 = movecontact

;===========================================================================
;---------------------------------------------------------------------------
[State -1]
Type = Changestate
value = 5400
triggerall = var(40) != 1
triggerall = command = "SuperJump"
triggerall = statetype != A
Triggerall = Ctrl = 1
trigger1 = stateno != 11 && stateno != 12
trigger2 = stateno = 12
trigger2 = prevstateno = 10

[State -1]
type = varset
triggerall = var(40) = 0
trigger1 = command = "SuperJump"
var(50) = 5400
ignorehitpause = 1

[State -1]
Type = Changestate
value = 5400
triggerall = var(40) != 1
triggerall = var(50) = 5400
trigger1 = stateno = 100
trigger2 = stateno = 105
trigger3 = movehit
trigger3 = stateno = 440 || stateno = 450 || stateno = 240 || stateno = 220
trigger4 = stateno = 250
trigger4 = UniqHitcount = 1
trigger4 = Movehit



[State AirRun]
type = ChangeState
value = 116
triggerall = command = "FRun"
triggerall = stateno != [111,119]
triggerall = statetype = A
triggerall = var(11) = 0
triggerall = var(14) <= 2
trigger1 = ctrl
trigger2 = stateno = [600,650]


[State AirRun]
type = ChangeState
value = 114
triggerall = command = "BRun"
triggerall = stateno != [111,119]
triggerall = statetype = A
triggerall = var(11) = 0
triggerall = var(14) <= 2
trigger1 = ctrl
trigger2 = stateno = [600,650]

[State AirRun]
type = ChangeState
value = 113
triggerall = command = "DFRun"
triggerall = stateno != [111,119]
triggerall = statetype = A
triggerall = var(11) = 0
triggerall = var(14) <= 2
trigger1 = ctrl
trigger2 = stateno = [600,650]

[State AirRun]
type = ChangeState
value = 112
triggerall = command = "DRun"
triggerall = stateno != [111,119]
triggerall = statetype = A
triggerall = var(11) = 0
triggerall = var(14) <= 2
trigger1 = ctrl
trigger2 = stateno = [600,650]

[State AirRun]
type = ChangeState
value = 119
triggerall = command = "UFRun"
triggerall = stateno != [111,119]
triggerall = statetype = A
triggerall = var(11) = 0
triggerall = var(14) <= 2
trigger1 = ctrl
trigger2 = stateno = [600,650]






;Run Back
;ރ_bV
[State -1, Run Back]
type = ChangeState
value = 105
trigger1 = command = "BB"
trigger1 = statetype = S
trigger1 = ctrl

;Run Fwd
;_bV
[State -1, Run Fwd]
type = ChangeState
value = 100
trigger1 = stateno != 100
trigger1 = command = "FF"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;Kung Fu Throw
;
[State -1, Kung Fu Throw]
type = ChangeState
value = 800
triggerall = command = "y"
triggerall = statetype = S
triggerall = ctrl
triggerall = stateno != 100
trigger1 = command = "holdfwd"
trigger1 = p2bodydist X < 3
trigger1 = (p2statetype = S) || (p2statetype = C)
trigger1 = p2movetype != H
trigger2 = command = "holdback"
trigger2 = p2bodydist X < 5
trigger2 = (p2statetype = S) || (p2statetype = C)
trigger2 = p2movetype != H


;===========================================================================
;---------------------------------------------------------------------------
;Stand Light Punch
;p`
[State -1, Stand Light Punch]
type = ChangeState
value = 200
triggerall = command = "x"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 200
trigger2 = time > 6

;---------------------------------------------------------------------------
;Stand Strong Punch
;p`
[State -1, Stand Strong Punch]
type = ChangeState
value = 210
triggerall = command = "y"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = 200) && time > 5
trigger3 = (stateno = 230) && time > 6

[State Beam]
type = ChangeState
value = 220
triggerall = command = "z"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;Stand Light Kick
;LbN
[State -1, Stand Light Kick]
type = ChangeState
value = 230
triggerall = command = "a"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = 200) && time > 7
trigger3 = (stateno = 230) && time > 9

;---------------------------------------------------------------------------
;Standing Strong Kick
;LbN
[State -1, Standing Strong Kick]
type = ChangeState
value = 240
triggerall = command = "b"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = 200) && time > 5
trigger3 = (stateno = 230) && time > 6

;---------------------------------------------------------------------------
;Taunt
;
[State -1, Taunt]
type = ChangeState
value = 195
triggerall = command = "start"
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;Crouching Light Punch
;Ⴊݎp`
[State -1, Crouching Light Punch]
type = ChangeState
value = 400
triggerall = command = "x"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl

;---------------------------------------------------------------------------
;Crouching Strong Punch
;Ⴊ݋p`
[State -1, Crouching Strong Punch]
type = ChangeState
value = 410
triggerall = command = "y"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = (stateno = 400) || (stateno = 430)
trigger2 = (time > 9) || (movecontact && time > 5)

[State Beam]
type = ChangeState
value = 420
triggerall = command = "z"
triggerall = command = "holddown"
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;Crouching Light Kick
;ႪݎLbN
[State -1, Crouching Light Kick]
type = ChangeState
value = 430
triggerall = command = "a"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = (stateno = 400) || (stateno = 430)
trigger2 = (time > 9) || (movecontact && time > 5)

[State CMK]
type = ChangeState
value = 440
triggerall = command = "b"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = (stateno = 400) || (stateno = 430)
trigger2 = (time > 9) || (movecontact && time > 5)

;---------------------------------------------------------------------------

[State JLP]
type = ChangeState
value = 600
triggerall = command = "x"
trigger1 = statetype = A
trigger1 = ctrl

[State JMP]
type = ChangeState
value = 610
triggerall = command = "y"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600 || stateno = 630 ;jump_x or jump_a
trigger2 = movecontact

[State Gun]
type = ChangeState
value = 620
triggerall = command = "z"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600 || stateno = 630 || stateno = 610 || stateno = 640 
trigger2 = movecontact

[State JLK]
type = ChangeState
value = 630
triggerall = command = "a"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600 && var(8) = 1
trigger2 = movecontact

[State JMK]
type = ChangeState
value = 640
triggerall = command = "b"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600 || stateno = 630 ;jump_x or jump_a
trigger2 = movecontact
trigger3 = stateno = 610 && var(8) = 1
trigger3 = movecontact

[State -1]
Type = Changestate
value = 5400
triggerall = var(40) = 0
triggerall = command = "holdup"
triggerall = var(14) < 3
trigger1 = movehit
trigger1 = stateno = 410 || stateno = 240

[State reset]
type = varset
trigger1 = time = 0
var(50) = 0









